#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 enclosed-exceptions
version:              1.0.3
visibility:           public
id:                   enclosed-exceptions-1.0.3-60C2xMhndq3A9ENtV7RBC4
key:                  enclosed-exceptions-1.0.3-60C2xMhndq3A9ENtV7RBC4
license:              MIT
maintainer:           jmacristovao@gmail.com, michael@snoyman.com
author:               Michael Snoyman, João Cristóvão
homepage:             https://github.com/jcristovao/enclosed-exceptions
synopsis:             Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>

category:             Control
abi:                  170b0f363361977be7205dd1ebbade99
exposed:              True
exposed-modules:      Control.Exception.Enclosed
import-dirs:          /usr/lib/ghc-9.2.8/site-local/enclosed-exceptions-1.0.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/enclosed-exceptions-1.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-enclosed-exceptions
hs-libraries:         HSenclosed-exceptions-1.0.3-60C2xMhndq3A9ENtV7RBC4
depends:
    base-4.16.4.0 deepseq-1.4.6.1
    lifted-base-0.2.3.12-IhH8BhFbq7BJMFgKcp60s
    monad-control-1.0.3.1-CbCTXdh3w6sAhNOKjsfxYD transformers-0.5.6.2
    transformers-base-0.4.6-G482EZIJN1aB6itbU3iskM

haddock-interfaces:
    /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock

haddock-html:         /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

